"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReviewBody = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "reviewBody",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const ReviewBody = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'reviewBody',
        ...props,
    }, children);
};
exports.ReviewBody = ReviewBody;
ReviewBody.Text = TextType;
